image: "python:3.7"

pages:
  before_script:
    - pip install -r requirements.txt
  script:
    - python generate_map.py
    - python -m mkdocs build --site-dir public
  artifacts:
    paths:
      - public
